Package org.apache.tiles.template

# Class GetAsStringModel

java.lang.Object
org.apache.tiles.template.GetAsStringModel

public class GetAsStringModel extends Object

Render the value of the specified template attribute to the current Writer

Retrieve the value of the specified template attribute property, and render it to the current Writer as a String. The usual toString() conversions is applied on found value.

Since:
  2.2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAsStringModel()`
  Constructor that uses the defaut attribute resolver.
  `GetAsStringModel(AttributeResolver attributeResolver)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute(boolean ignore, String preparer, String role, Object defaultValue, String defaultValueRole, String defaultValueType, String name, Attribute value, Request request, ModelBody modelBody)`
  Executes the operation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAsStringModel

    public GetAsStringModel()
    Constructor that uses the defaut attribute resolver.
    Since:
      3.0.0

  - ### GetAsStringModel

    public GetAsStringModel(AttributeResolver attributeResolver)
    Constructor.
    Parameters:
      `attributeResolver` - The attribute resolver to use.
    Since:
      2.2.0

- ## Method Details

  - ### execute

    public void execute(boolean ignore, String preparer, String role, Object defaultValue, String defaultValueRole, String defaultValueType, String name, Attribute value, Request request, ModelBody modelBody) throws IOException
    Executes the operation.
    Parameters:
      `ignore` - If `true`, if an exception happens during rendering, of if the attribute is null, the problem will be ignored.
      `preparer` - The preparer to invoke before rendering the attribute.
      `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
      `defaultValue` - The default value of the attribute. To use only if the attribute was not computed.
      `defaultValueRole` - The default comma-separated list of roles. To use only if the attribute was not computed.
      `defaultValueType` - The default type of the attribute. To use only if the attribute was not computed.
      `name` - The name of the attribute.
      `value` - The attribute to use immediately, if not null.
      `request` - The request.
      `modelBody` - The body.
    Throws:
      `IOException` - If an I/O error happens during rendering.
    Since:
      2.2.0